## 基础模块
version: v24.09.20
# 如果项目base.isUpdate: true / core.isUpdate: true / htj.isUpdate: true 构建整个项目
# 如果项目为true并且模块为true指定项目打包
base:
  name: "BASE"
  type: "mvn"
  url: "http://114.116.202.8:18808/factory-tobacco/factory-tobacco-basic.git"
  namespace: qrcode-xxx
  isUpdate: true
  module:
  - name: factory-tobacco-qrcode-auth
    version: v24.09.20
    isUpdate: true
    isEncryption: false
    path: factory-tobacco-qrcode-auth
  - name: factory-tobacco-qrcode-gateway
    version: v24.09.20
    isUpdate: true
    isEncryption: false
    path: factory-tobacco-qrcode-gateway
  - name: factory-tobacco-qrcode-modules-file
    version: v24.09.20
    isUpdate: true
    isEncryption: false
    path: factory-tobacco-qrcode-modules-file
  - name: factory-tobacco-qrcode-modules-gen
    version: v24.09.20
    isUpdate: true
    isEncryption: false
    path: factory-tobacco-qrcode-modules-gen

core:
  name: "CORE"
  type: "mvn"
  url: "http://114.116.202.8:18808/factory-tobacco/factory-tobacco-qrcodecore.git"
  namespace: qrcode-xxx
  isUpdate: false
  module:
  - name: factory-tobacco-qrcode-modules-data-migrate
    version: v24.09.20
    isUpdate: false
    isEncryption: false
    path: factory-tobacco-qrcode-modules-data-migrate
  - name: factory-tobacco-qrcode-modules-device
    version: v24.09.20
    isUpdate: false
    isEncryption: false
    path: factory-tobacco-qrcode-modules-device
  - name: factory-tobacco-qrcode-modules-monitor-alarm
    version: v24.09.20
    isUpdate: false
    isEncryption: false
    path: factory-tobacco-qrcode-modules-monitor-alarm
  - name: factory-tobacco-qrcode-modules-stmb-register
    version: v24.09.20
    isUpdate: false
    isEncryption: true
    path: factory-tobacco-qrcode-modules-stmb-register
  - name: factory-tobacco-qrcode-modules-system
    version: v24.09.20
    isUpdate: false
    isEncryption: false
    path: factory-tobacco-qrcode-modules-system
  - name: factory-tobacco-qrcode-modules-timesync
    version: v24.09.20
    isUpdate: false
    isEncryption: false
    path: factory-tobacco-qrcode-modules-timesync

htj:
  name: "HTJ"
  type: "mvn"
  url: "http://114.116.202.8:18808/factory-tobacco/factory-tobacco-qrcode-htj.git"
  namespace: qrcode-xxx
  isUpdate: false
  module:
  - name: factory-tobacco-qrcode-module-monitoring-platform
    version: v24.09.20
    isUpdate: false
    isEncryption: false
    path: factory-tobacco-qrcode-auth
  - name: factory-tobacco-qrcode-module-product-syncmes
    version: v24.09.20
    isUpdate: false
    isEncryption: false
    path: factory-tobacco-qrcode-auth
  - name: factory-tobacco-qrcode-modules-db-version-control
    version: v24.09.20
    isUpdate: false
    isEncryption: false
    path: factory-tobacco-qrcode-auth
  - name: factory-tobacco-qrcode-modules-iotege-relation
    version: v24.09.20
    isUpdate: false
    isEncryption: false
    path: factory-tobacco-qrcode-auth
  - name: factory-tobacco-qrcode-modules-product-bloomfilter
    version: v24.09.20
    isUpdate: false
    isEncryption: false
    path: factory-tobacco-qrcode-auth
  - name: factory-tobacco-qrcode-modules-product-relation
    version: v24.09.20
    isUpdate: false
    isEncryption: false
    path: factory-tobacco-qrcode-auth
  - name: factory-tobacco-qrcode-modules-product-report
    version: v24.09.20
    isUpdate: false
    isEncryption: false
    path: factory-tobacco-qrcode-auth
  - name: factory-tobacco-qrcode-modules-product-statistics
    version: v24.09.20
    isUpdate: false
    isEncryption: false
    path: factory-tobacco-qrcode-auth
  - name: factory-tobacco-qrcode-modules-product-upload
    version: v24.09.20
    isUpdate: false
    isEncryption: false
    path: factory-tobacco-qrcode-auth
  - name: factory-tobacco-qrcode-modules-wip-relation
    version: v24.09.20
    isUpdate: false
    isEncryption: true
    path: factory-tobacco-qrcode-auth

web:
  name: "WEB"
  type: "node"
  url: "http://114.116.202.8:18808/factory-tobacco/factory-tobacco-qrcode-htj-vue.git"
  isUpdate: false
  version: v24.09.20
  isEncryption: false